<template src="./index.htm"></template>

<script>

    import Vue from 'vue';
    import DeleteEntityMixin from '../../../mixins/entities/deleteEntityMixin.js';
    import DataTableComponent from '../../../datatable/DataTableComponent.vue';

    import { productsDataTableProps } from '../../../datatable/props/productsDataTableProps.js';

    Vue.component('data-table-component', DataTableComponent);

    export default {

        data() {

            return {}
        },

        mixins: [ productsDataTableProps, DeleteEntityMixin ],

        methods: {

            editProduct(product) {

                this.$router.push({ name: 'edit', params: { id: product.id } });
            },


            deleteProduct(product) {

                swalConfirm().then( (result) => {

                        if (result.value) {

                            this.deleteEntityMixin('products', product.id);
                        }
                    });
            }
        }
    }
</script>